Nota:
El acceso a esta página requiere autorización. Puede intentar iniciar sesión o cambiar directorios.
El acceso a esta página requiere autorización. Puede intentar cambiar los directorios.
API description
Retrieves details of any open elevation request for a specific device.
Prerequisites
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions |
|---|---|
| Delegated | Not Applicable |
| Application | MmdSupport.ReadWrite |
HTTP request
GET https://mmdls.microsoft.com/support/odata/v1/tenants/{tenantId}/devices/{deviceName}/elevationDetails
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token} (Required) |
| Accept | application/json |
Request body
Don't supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and user details in the response body.
Example
Example request
The following is an example of the HTTP request.
GET https://mmdls.microsoft.com/support/odata/v1/tenants/{tenantId}/devices/MMD-03690457680/elevationDetails
Example response
The following is an example of the JSON response.
{
"@odata.context": "https://mmd-support-prod-nam.trafficmanager.net/odata/v1/$metadata#Microsoft.ManagedDesktop.DeviceElevationDetail",
"tenantId": "Tenant Id",
"deviceName": "MMD-03690457680",
"openedElevationRequestId": "Elevation Request Id",
"aadDeviceId": "Azure AD device Id",
"accountUpn": "accountUpn",
"password": "password",
"passwordLastUpdated": "2021-03-16T15:10:36.2066667Z",
"status": "PasswordSucceeded",
"isPasswordChanged": false,
"viewedBy": [
"System"
]
}